std::nested_exception Class Reference
Diagnostics » Exceptions

`#include <nested_exception.h>`

Inherited by std::_Nested_exception< _Except >.

## Public Member Functions

| nested_exception (const nested_exception &) noexcept=default
exception_ptr | nested_ptr () const noexcept
nested_exception & | operator= (const nested_exception &) noexcept=default
void | rethrow_nested () const

## Detailed Description

Exception class with exception_ptr data member.

Definition at line 52 of file nested_exception.h.

## Constructor & Destructor Documentation

## nested_exception()

std::nested_exception::nested_exception | ( |  | ) |

inline noexcept

Definition at line 57 of file nested_exception.h.

## Member Function Documentation

## nested_ptr()

exception_ptr std::nested_exception::nested_ptr | ( |  | ) | const

inline noexcept

Definition at line 75 of file nested_exception.h.

## rethrow_nested()

void std::nested_exception::rethrow_nested | ( |  | ) | const

inline

Definition at line 67 of file nested_exception.h.

The documentation for this class was generated from the following file:

- nested_exception.h